# PetscSequentialPhaseEnd

Ends a sequential section of code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscSequentialPhaseEnd(MPI_Comm comm,int ng)

Collective on MPI_Comm

### Input Parameters

| comm | - Communicator to sequentialize.
| ng | - Number in processor group. This many processes are allowed to execute at the same time (usually 1)

### C++ variants

| PetscSequentialPhaseEnd(void) |  | -> |  | PetscSequentialPhaseEnd(PETSC_COMM_WORLD,1)
| PetscSequentialPhaseEnd(MPI_Comm comm) |  | -> |  | PetscSequentialPhaseEnd(comm,1)

### Notes

See PetscSequentialPhaseBegin() for more details.

### See Also

PetscSequentialPhaseBegin()

Level:intermediate
Location: src/sys/utils/mpiu.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex17.c.html